commit:     f0f03cf82c2e04c5a18001fa164afb7bc265f52c
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 13 17:30:39 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Feb 13 17:31:52 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f0f03cf8

dev-ruby/activerecord: add 6.1.2.1

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/activerecord/Manifest                    |  1 +
 dev-ruby/activerecord/activerecord-6.1.2.1.ebuild | 83 +++++++++++++++++++++++
 2 files changed, 84 insertions(+)

diff --git a/dev-ruby/activerecord/Manifest b/dev-ruby/activerecord/Manifest
index 3f453af3cff..f5fbbfbb196 100644
--- a/dev-ruby/activerecord/Manifest
+++ b/dev-ruby/activerecord/Manifest
@@ -3,3 +3,4 @@ DIST rails-5.2.4.4.tgz 8825200 BLAKE2B 
e56f828f46ef72a2ec59006f37410aa53ca337304
 DIST rails-5.2.4.5.tgz 8826076 BLAKE2B 
41a13708f72f0c281af7b6c97828d873b9431913315e155bec2f798b83a9fd214a0176a93ba74d96b48718dc900b6737a62f5d6593ef7f5bb0b8430c96e5e234
 SHA512 
452e0649638daf57e8f7c6131bb048c0d960e875fbc3596678404965fd1438a5151858b22c2441a927509337b6a256671b53c24ee35ff477e18153af358b08af
 DIST rails-6.0.3.4.tgz 18568864 BLAKE2B 
8f554a25ce02e4752c1a964257836a5cb0a6c01c3453ff11cd8423a9153e90ab833a32cadfe939a34e094cefd553f5514abd7817004b464b054889ab7dc05b76
 SHA512 
147f76792ce2d2484071fe247c8f1541c9ca27dcc405ff7a780771e3436a9acf3d326bbfd7c6dceca510b6f4d5209ee0a0859867174b8291d796ffd519fa2ba9
 DIST rails-6.0.3.5.tgz 18566999 BLAKE2B 
b07d1d6c1e2ebaaf3c337350bb08fe339e324818543dcd7163fe3c7ff56f50c5556f369badeb4fd48afa6d95449e18e57fa1b05db6ce544d38ee2f58bd3aa513
 SHA512 
c9d6bf689aeb40fb728fb681b65c48ebd51de893060ddac37a1fdefbb0d420cee3a456f148d96d577c651c9d7b994efdb3319fa865cb012af8712052a20a0bf3
+DIST rails-6.1.2.1.tgz 10990239 BLAKE2B 
ff1c9781eab32fda320cb2b9efc92e52ed155b659a43385781bfa422d03653879367bedc7ef4e3accb0a51b7962054eecd5202fd1e1a49ff7946c2f9388a69df
 SHA512 
61e8bf0568c0b06a2c8f6c5e4ae6becc521646a5cdd3d6832c3b52998326a4bd437ad2bd284c010d445a3dc54bf519f7fbd2e9d4368c91b7d2a9abe46e3a276d

diff --git a/dev-ruby/activerecord/activerecord-6.1.2.1.ebuild 
b/dev-ruby/activerecord/activerecord-6.1.2.1.ebuild
new file mode 100644
index 00000000000..6112916c72e
--- /dev/null
+++ b/dev-ruby/activerecord/activerecord-6.1.2.1.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27"
+
+# this is not null so that the dependencies will actually be filled
+RUBY_FAKEGEM_TASK_TEST="test"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activerecord.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM"
+HOMEPAGE="https://github.com/rails/rails/";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="mysql postgres sqlite"
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "~dev-ruby/activesupport-${PV}
+       ~dev-ruby/activemodel-${PV}
+       sqlite? ( >=dev-ruby/sqlite3-1.4 )
+       mysql? ( dev-ruby/mysql2:0.5 )
+       postgres? ( || ( dev-ruby/pg:1 >=dev-ruby/pg-0.18.0:0 ) )"
+
+ruby_add_bdepend "
+       test? (
+               dev-ruby/bundler
+               ~dev-ruby/actionpack-${PV}
+               >=dev-ruby/sqlite3-1.4.0
+               dev-ruby/mocha
+               dev-ruby/minitest:5
+       )"
+
+DEPEND+=" test? ( >=dev-db/sqlite-3.12.1 )"
+
+all_ruby_prepare() {
+       # Remove items from the common Gemfile that we don't need for this
+       # test run. This also requires handling some gemspecs.
+       rm ../Gemfile.lock || die
+       sed -i -e 
"/\(uglifier\|system_timer\|sdoc\|w3c_validators\|pg\|jquery-rails\|execjs\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|minitest\|sprockets\|stackprof\)/
 s:^:#:" \
+               -e '/:job/,/end/ s:^:#:' \
+               -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+       sed -i -e '/rack-ssl/d' -e 's/~> 3.4/>= 3.4/' 
../railties/railties.gemspec || die
+       sed -e '/bcrypt/ s/3.0.0/3.0/' \
+               -i ../Gemfile || die
+       sed -i -e '/byebug/ s:^:#:' test/cases/base_prevent_writes_test.rb || 
die
+
+       # Add back json in the Gemfile because we dropped some dependencies
+       # earlier that implicitly required it.
+       sed -i -e '$agem "json"' ../Gemfile || die
+
+       # Avoid single tests using mysql or postgres dependencies.
+       rm test/cases/invalid_connection_test.rb || die
+       sed -e '/test_switching_connections_with_database_url/askip "postgres"' 
\
+               -i 
test/cases/connection_adapters/{,legacy_}connection_handlers_multi_db_test.rb 
|| die
+
+       # Avoid failing test that makes bad assumptions on database state.
+       sed -i -e '/test_do_not_call_callbacks_for_delete_all/,/^  end/ s:^:#:' 
\
+               test/cases/associations/has_many_associations_test.rb
+
+       # Avoid test failing to bind limit length in favor of security release
+       sed -i -e '/test_too_many_binds/askip "Fails on Gentoo"' 
test/cases/bind_parameter_test.rb || die
+
+       # Avoid test failing related to rubygems
+       sed -i -e '/test_generates_absolute_path_with_given_root/askip 
"rubygems actiovation monitor"' test/cases/tasks/sqlite_rake_test.rb || die
+}
+
+each_ruby_test() {
+       if use sqlite; then
+               ${RUBY} -S rake test_sqlite3 || die "sqlite3 tests failed"
+       fi
+}

Reply via email to